﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;
using System.Data;

namespace RadChartGroupingEx
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Init(object sender, EventArgs e)
        {
            radChart.ItemDataBound += new EventHandler<ChartItemDataBoundEventArgs>(chart1_ItemDataBound);
        }

        void chart1_ItemDataBound(object sender, ChartItemDataBoundEventArgs e)
        {
            e.SeriesItem.XValue = double.Parse((e.DataItem as DataRowView)["TimePeriod"].ToString().Substring(5));
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            var data = new List<MyTestData>
            {
                new MyTestData { Name = "Company1", TimePeriod = "2010-1", YValue = 5 },
                new MyTestData { Name = "Company1", TimePeriod = "2010-2", YValue = 2 },
                new MyTestData { Name = "Company1", TimePeriod = "2010-3", YValue = 3 },
                new MyTestData { Name = "Company1", TimePeriod = "2010-4", YValue = 1 },
                new MyTestData { Name = "Company2", TimePeriod = "2010-1", YValue = 2 },
                new MyTestData { Name = "Company2", TimePeriod = "2010-2", YValue = 5 },
                new MyTestData { Name = "Company2", TimePeriod = "2010-4", YValue = 2 }
            };

            radChart.DataGroupColumn = "Name";
            radChart.PlotArea.XAxis.DataLabelsColumn = "TimePeriod";
            radChart.Legend.Appearance.GroupNameFormat = "#NAME: #VALUE";

            radChart.DefaultType = ChartSeriesType.Bar;
            radChart.DataSource = data;
            radChart.DataBind();
        }
    }

    public class MyTestData
    {
        public string Name { get; set; }
        public string TimePeriod { get; set; }
        public int YValue { get; set; }
    }
}